package com.mx.dla.dda.contrato.terminos.dtos;

import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

public class TerminoBD extends BaseDTO{

	private static final long serialVersionUID = 1L;

	private Long idContrato;
	private String anticipoMonto;
	private Date   anticipoFecha;
    private String anticipoComentario;
    private String tipoPago;
    private String tipoPredefinido;
    private String comentarioGeneral;
    private String totalTitulos;
    private String costo;
    
    private Long idPagoPeriodico;
    private String monto;
    private Date fecha;
    private String comentario;

    public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	public String getAnticipoMonto() {
		return anticipoMonto;
	}
	public void setAnticipoMonto(String anticipoMonto) {
		this.anticipoMonto = anticipoMonto;
	}
	public Date getAnticipoFecha() {
		return anticipoFecha;
	}
	public void setAnticipoFecha(Date anticipoFecha) {
		this.anticipoFecha = anticipoFecha;
	}
	public String getAnticipoComentario() {
		return anticipoComentario;
	}
	public void setAnticipoComentario(String anticipoComentario) {
		this.anticipoComentario = anticipoComentario;
	}
	public String getTipoPago() {
		return tipoPago;
	}
	public void setTipoPago(String tipoPago) {
		this.tipoPago = tipoPago;
	}
	public String getTipoPredefinido() {
		return tipoPredefinido;
	}
	public void setTipoPredefinido(String tipoPredefinido) {
		this.tipoPredefinido = tipoPredefinido;
	}
	public String getComentarioGeneral() {
		return comentarioGeneral;
	}
	public void setComentarioGeneral(String comentarioGeneral) {
		this.comentarioGeneral = comentarioGeneral;
	}
	public String getTotalTitulos() {
		return totalTitulos;
	}
	public void setTotalTitulos(String totalTitulos) {
		this.totalTitulos = totalTitulos;
	}
	public Long getIdPagoPeriodico() {
		return idPagoPeriodico;
	}
	public void setIdPagoPeriodico(Long idPagoPeriodico) {
		this.idPagoPeriodico = idPagoPeriodico;
	}
	public String getMonto() {
		return monto;
	}
	public void setMonto(String monto) {
		this.monto = monto;
	}
	public Date getFecha() {
		return fecha;
	}
	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}
	public String getComentario() {
		return comentario;
	}
	public void setComentario(String comentario) {
		this.comentario = comentario;
	}
	public String getCosto() {
		return costo;
	}
	public void setCosto(String costo) {
		this.costo = costo;
	}	    	
}
